import type { Token } from "../token";
import { SwapPools } from "../swappools";
import { BigNumber, BigNumberish } from "@ethersproject/bignumber";
import { ContractTransaction } from "@ethersproject/contracts";
export declare function useChainStableswapLPToken(ethereum: any, chainId: number): SwapPools.SwapPoolToken[];
export declare function useChainETHSwapLPToken(ethereum: any, chainId: number): SwapPools.SwapPoolToken[];
export declare function useHarmonyJewelLPToken(ethereum: any, chainId: number): SwapPools.SwapToken[];
export declare function useHarmonyAVAXLPToken(ethereum: any, chainId: number): SwapPools.SwapToken[];
export declare function useCalculateAddLiquidity(ethereum: any, chainId: number): ((args: {
    lpToken: SwapPools.SwapPoolToken;
    amounts: BigNumberish[];
}) => Promise<BigNumber>)[];
export declare function useCalculateRemoveLiquidity(ethereum: any, chainId: number): ((args: {
    lpToken: SwapPools.SwapPoolToken;
    amount: BigNumberish;
}) => Promise<BigNumber[]>)[];
export declare function useCalculateRemoveLiquidityOneToken(ethereum: any, chainId: number): ((args: {
    lpToken: SwapPools.SwapPoolToken;
    token: Token;
    amount: BigNumberish;
}) => Promise<BigNumber[]>)[];
export declare function useAddLiquidity(ethereum: any, chainId: number): ((args: {
    lpToken: SwapPools.SwapPoolToken;
    deadline: BigNumberish;
    amounts: BigNumberish[];
    minToMint: BigNumberish;
}) => Promise<ContractTransaction>)[];
export declare function useRemoveLiquidity(ethereum: any, chainId: number): ((args: {
    lpToken: SwapPools.SwapPoolToken;
    deadline: BigNumberish;
    amount: BigNumberish;
    minAmounts: BigNumberish[];
}) => Promise<ContractTransaction>)[];
export declare function useRemoveLiquidityOneToken(ethereum: any, chainId: number): ((args: {
    lpToken: SwapPools.SwapPoolToken;
    deadline: BigNumberish;
    amount: BigNumberish;
    minAmount: BigNumberish;
    token: Token;
}) => Promise<ContractTransaction>)[];
export declare function useCalculateSwapRate(ethereum: any, chainId: number): ((args: {
    tokenFrom: Token;
    tokenTo: Token;
    amountIn: BigNumberish;
}) => Promise<BigNumber>)[];
export declare function useApproveLPToken(ethereum: any, chainId: number): ((args: {
    lpToken: SwapPools.SwapPoolToken;
    amount?: BigNumberish;
}) => Promise<ContractTransaction>)[];
export declare function useSwapTokens(ethereum: any, chainId: number): ((args: {
    tokenFrom: Token;
    tokenTo: Token;
    amountIn: BigNumberish;
    minAmountOut: BigNumberish;
    deadline?: number;
}) => Promise<ContractTransaction>)[];
